Update a node for a Kubernetes cluster
PUT/v1/kubernetes_clusters/{kubernetes_cluster_id}/nodes/{node_id}
A PUT request to /v1/kubernetes_clusters/{kubernetes_cluster_id}/nodes/{node_id} allows reassigning a node to a different node group. The cluster and node IDs are required path parameters; the target node group ID has to be specified in the request body.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
kubernetes_cluster_id | stringA unique identifier of a Kubernetes cluster. To list all cluster IDs, use the relevant request. |
node_id | stringA unique identifier of a node within the cluster. To list all node IDs, use the relevant request. |
Request Body
| Field | Details |
|---|---|
node_group_id | stringA unique identifier of the target node group. To list all node group IDs, use the relevant request. |
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/kubernetes_clusters/l9avZgaG/nodes/l9avlVdG" \ -H "Content-Type: application/json" \ -d '{ "node_group_id": "olej2Rej" }'{ "id": "l9avlVdG", "number": 98, "hostname": "node98", "configuration": "SSD.50", "type": "cloud", "role": "node", "status": "active", "private_ipv4_address": "127.0.18.9", "public_ipv4_address": "127.0.20.10", "location_id": 1608, "location_code": "location3319", "ref_id": "WPe9xdLy", "cluster_id": "l9avZgaG", "node_group": { "id": "olej2Rej", "name": "node_group_name", "description": null, "created_at": "2026-05-28T07:05:17.219Z", "updated_at": "2026-05-28T07:05:17.219Z" }, "labels": {}, "created_at": "2026-05-28T07:05:17Z", "updated_at": "2026-05-28T07:05:17Z"}